Skip to content

List existing Invitations

Request

Returns a list of existing Invitations with the input status or candidate_id.

  • If no parameters are passed, returns all Invitations.

  • If candidate_id or status is passed, returns Invitations that match the input parameter.

  • If both candidate_id and status are passed, return Invitations that match both parameters.

Returns 400 if the (optional) status parameter is not pending, expired, or completed. Note: This call will not return invitations with non-US work_locations. Use GET /invitations/{id} to retrieve candidates outside the US.

Security
basic_auth
Query
candidate_idstring

ID of the candidate to whom the invitation was issued.

statusstring

Status of the Invitation.

Enum:"pending""completed""expired"
pagenumber or null

Specifies the page number to retrieve.

per_pagenumber or null

Indicates how many records each page should contain. The default value is 25 records.

curl -i -X GET \
  -u '<username>:<password>' \
  'https://docs.checkr.com/_mock/apis/openapi/invitations?candidate_id=string&status=pending&page=0&per_page=0'

Responses

List of Invitations

Bodyapplication/json
objectstring

A list

Value:"list"
next_hrefstring, (uri)
previous_hrefstring, (uri)
countinteger
Example:2
dataArray of objects(Invitation)
Response
{ "object": "list", "next_href": "http://example.com", "previous_href": "http://example.com", "count": 2, "data": [ { … } ] }